Bug 142910 - Standard filters involving "greater than" or "smaller than" (>, <, >=, <=) fail and hide everything
Summary: Standard filters involving "greater than" or "smaller than" (>, <, >=, <=) fa...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Balázs Varga
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Data-Filter
  Show dependency treegraph
 
Reported: 2021-06-17 11:51 UTC by stragu
Modified: 2021-09-29 04:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example spreadsheet showing the issue, created with LO 7.3 (9.39 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-06-17 12:06 UTC, stragu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stragu 2021-06-17 11:51:36 UTC
Description:
Using a standard filter involving > or < on numeric data results in all rows being hidden.

Steps to Reproduce:
1. Create random numeric data (for example, sequence from 1 to 10) under a column heading
2. Select range containing the heading and the data
3. Data > Autofilter
4. Click on Autofilter dropdown next to the heading
5. Go to Standard Filter...
6. Create a condition using one of: >, <, >=, <=

Actual Results:
All rows are hidden.

Expected Results:
The rows that match the condition are shown.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
This is a regression as it does not happen in 7.0 or 7.1

This was found in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: de7356c2e0cb099fac396808b5a86a0393b48e5f
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-14_22:38:17
Calc: threaded

and:

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: bb54d6d8241a06a6772052b77b67d6a4f686426c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-06-11_20:14:38
Calc: threaded
Comment 1 stragu 2021-06-17 12:06:37 UTC
Created attachment 172968 [details]
example spreadsheet showing the issue, created with LO 7.3

This example spreadsheet has one sheet per common numeric conditional operator: =, <, >, <=, >=, <>.

The issue can be seen in sheets 2, 3, 4 and 5.

It was created with Calc 7.3.0 alpha0+.

This file could probably be used for a test once the regression is fixed?

(Note that opening this file in a version that does not have the regression still displays the wrong filtering.)
Comment 2 m.a.riosv 2021-06-17 20:20:20 UTC
Repro
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: aa9cb8e14749e7fb7a83b55a2bb095501f731a18
CPU threads: 4; OS: Windows 10.0 Build 21387; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 3 NISZ LibreOffice Team 2021-06-18 07:20:30 UTC
Bibisected with bibisect-win64-7.2 to:

https://git.libreoffice.org/core/+/d5c2584bf36d21580db677b231c57f99f49aa2cb

author	Balazs Varga <balazs.varga991@gmail.com>	Thu Apr 22 10:23:41 2021 +0200
committer	László Németh <nemeth@numbertext.org>	Tue May 04 10:13:27 2021 +0200

Related: tdf#140968 avoid duplicated filter values

Adding CC to: Balazs Varga
Comment 4 Commit Notification 2021-07-07 15:45:45 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6b143a57d9bd8f5d7b29febcb4e01ee1eb2ff1d

tdf#142910 sc filter: fix "greater than" or "smaller than" etc

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-07-08 07:51:14 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/3069df790cca2917e5aedd87bac1af65f9605d51

tdf#142910 sc filter: fix "greater than" or "smaller than" etc

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 stragu 2021-07-08 12:06:05 UTC
Verified as fixed in a build of today's master.
Thank you Balazs! :)
Comment 7 Commit Notification 2021-09-28 00:26:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b60b6bfaafa1315e07108dba50f016975b619c59

Resolves: tdf#144740 Fix broken compareByValue() query, tdf#142910 tdf#144253

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-09-28 09:29:50 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/825a96114a7693335be000b2aa661df88a02e273

Resolves: tdf#144740 Fix broken compareByValue() query, tdf#142910 tdf#144253

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-09-29 04:33:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-2":

https://git.libreoffice.org/core/commit/dc1642c3225ff4aeada5df749946f406772eb1ff

Resolves: tdf#144740 Fix broken compareByValue() query, tdf#142910 tdf#144253

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.